Show / Hide Table of Contents

# Struct EnvManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Environment

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct EnvManager

### Fields

| Improve this Doc View Source

#### ActiveTransitionTime

##### Declaration

    public float ActiveTransitionTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ActiveWeather

##### Declaration

    public byte ActiveWeather

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CurrentTransitionTime

##### Declaration

    public float CurrentTransitionTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DayTimeSeconds

##### Declaration

    public float DayTimeSeconds

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### EnvScene

##### Declaration

    public EnvScene*EnvScene

##### Field Value

Type | Description
--- | ---
EnvScene* |

| Improve this Doc View Source

#### EnvSimulator

##### Declaration

    public EnvSimulator EnvSimulator

##### Field Value

Type | Description
--- | ---
EnvSimulator |

| Improve this Doc View Source

#### EnvSoundState

##### Declaration

    public EnvSoundState EnvSoundState

##### Field Value

Type | Description
--- | ---
EnvSoundState |

| Improve this Doc View Source

#### EnvSpace

##### Declaration

    public EnvSpace*EnvSpace

##### Field Value

Type | Description
--- | ---
EnvSpace* |

| Improve this Doc View Source

#### EnvState

##### Declaration

    public EnvState EnvState

##### Field Value

Type | Description
--- | ---
EnvState |

| Improve this Doc View Source

#### ShadowCamera

##### Declaration

    public ShadowCamera ShadowCamera

##### Field Value

Type | Description
--- | ---
ShadowCamera |

| Improve this Doc View Source

#### TransitionProgress

##### Declaration

    public float TransitionProgress

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TransitionTime

##### Declaration

    public float TransitionTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### UnkFlags

##### Declaration

    public uint UnkFlags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static EnvManager*Instance()

##### Returns

Type | Description
--- | ---
EnvManager* |